TypeScript
import { Nova } from "@nova-sdk/api"; const nova = new Nova({ apiKey: "sk_test_...", tenantId: "acme-corp", }); const result = await nova.jobs.criteria.items.update({ jobId: "job_abc123", criterionId: "crit_abc123", body: { importance: "MUST_HAVE" }, });
{ "criterion": { "id": "<string>", "text": "<string>", "importance": "MUST_HAVE", "order": 123 }, "criteria": [ { "id": "<string>", "text": "<string>", "importance": "MUST_HAVE", "order": 123 } ] }
Update the text or importance of an existing criterion
{ "importance": "MUST_HAVE" }
{ "text": "7+ years of software engineering experience in backend systems" }
{ "text": "Strong proficiency in Go for backend development", "importance": "MUST_HAVE" }
Use Authorization: Bearer sk_test_* or Authorization: Bearer sk_live_*.
Your customer identifier. Tenants are auto-provisioned on first request.
Your job identifier (external ID).
Criterion ID.
1
MUST_HAVE
PREFERRED
NICE_TO_HAVE
Updated
Show child attributes
Was this page helpful?